import supported from "../build/out/supported.json";
import { DocFile, LessonFile, LessonLookup, ResourceMetadata } from "./types";
export { supported, ResourceMetadata, DocFile, LessonFile, LessonLookup };
export declare function getGuides(lang: string): Promise<ResourceMetadata[] | undefined>;
export declare function getSupported(resourcePath: string, lang?: string): boolean | string[] | undefined;
export declare function getAllResourcePaths(lang: string): string[];
export declare function getDoc(lang: string, resource: string): Promise<DocFile | false>;
export declare function getTutorial(lang: string, lesson: string): Promise<LessonFile | false>;
export declare function getTutorialDirectory(lang: string): Promise<LessonLookup[] | false>;
